Appearance
POST
/helpdesk/ticket/tickets/{ticketId}/_unassignRequired scope:
viskan:ticket:updateRemoves the current assignee from a ticket.
Parameters
Path parameters
ticketId string Format:
uuidThe identifier of the ticket to unassign.
Request body
JSON
{
"version": 7
}
Response
Returns the updated conversation.
JSON
{
"ticketId": "a5a1b1a9-2ad0-4bb9-86b1-3fae3b1e3dc6",
"version": 7,
"createdAt": "2025-09-11T08:15:30Z",
"modifiedAt": "2025-09-11T08:16:02Z",
"customerId": 352951,
"ticketNumber": 1001,
"helpdeskAccountId": 1,
"centralUserId": 41,
"resolution": "UNRESOLVED",
"labels": [
12345
],
"autoReply": false,
"activities": [
{
"timestamp": "2025-09-11T08:16:02Z",
"type": "SET_RESOLUTION",
"centralUserId": 55,
"data": {
}
}
],
"messages": [
{
"direction": "INBOUND",
"messageId": "<generated@id>",
"mailSendId": "c2277230-b0d2-4684-92b8-55c76cc759e5",
"senderName": "Jane Smith",
"senderAddress": "jane@example.com",
"replyTo": "greg@example.com",
"deliveredTo": "support@example.com",
"recipients": [
"support@example.com"
],
"recipientsCC": [
"..."
],
"recipientsBCC": [
"..."
],
"subject": "Re: Your order",
"contentType": "...",
"numberOfAttachments": 2
}
]
}
| Error code | Description |
|---|---|
conversation-not-found | The ticket could not be found. |
ticket-is-not-assigned | Ticket is not assigned. |